﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Spread_Win_CopyImageToCell
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.fpSpread1.PreviewKeyDown += new PreviewKeyDownEventHandler(fpSpread1_PreviewKeyDown);
        }

        void fpSpread1_PreviewKeyDown(object sender, PreviewKeyDownEventArgs e)
        {
            if (e.Control && e.KeyCode == Keys.V)
            {
                Bitmap bitmap = Clipboard.GetData(DataFormats.Bitmap) as Bitmap;

                FarPoint.Win.Spread.CellType.ImageCellType imgType = new FarPoint.Win.Spread.CellType.ImageCellType();
                this.fpSpread1.ActiveSheet.ActiveCell.CellType = imgType;
                this.fpSpread1.ActiveSheet.ActiveCell.Value = bitmap;
                this.fpSpread1.ActiveSheet.ActiveColumn.Width = 200;
                this.fpSpread1.ActiveSheet.ActiveRow.Height = 200;
            }
        }
    }
}
